Bug 1254658 - RFE: systemctl seems not to be translated at all
RFE: systemctl seems not to be translated at all
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
All All
unspecified Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 11:14 EDT by Adam Williamson
Modified: 2016-12-20 09:26 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:26:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2015-08-18 11:14:45 EDT
Running the l10n Test Day: https://fedoraproject.org/wiki/Test_Day:2015-08-18_L10N . The table still lists 'chkconfig', but I thought it'd make sense to test 'systemctl' as well, on the basis that it's what replaces chkconfig.

The remaining stub of chkconfig is fully translated into my test languages, but it looks like systemctl is not translated at all, and maybe isn't set up for translation. When I run it in French, German or Catalan, with various commands:

systemctl list-unit-files
systemctl
systemctl status foo.service

I only see English, no translations at all.
Comment 1 Adam Williamson 2015-08-18 12:21:28 EDT
Proposing as a Final release blocker: "All critical path actions on release-blocking desktops must correctly display all sufficiently complete translations available for use." - https://fedoraproject.org/wiki/Fedora_23_Final_Release_Criteria#Critical_path_translations
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-08-18 16:06:38 EDT
Yes, systemctl does not support translations at all. We discussed this upstream a while ago, and the result was that we should start gettextizing systemd, and start with systemctl and journalctl. But afaik nobody ever did any work on that.
Comment 3 Adam Williamson 2015-08-20 13:58:32 EDT
Discussed at 2015-08-20 blocker review meeting: http://meetbot-raw.fedoraproject.org/fedora-blocker-review/2015-08-20/f23-blocker-review.2015-08-20-16.05.log.txt . Rejected as a blocker, as the criterion only requires that translations which are actually present should be shown. However, as this is a key utility these days, it should obviously be a high priority for proper l10n.
Comment 4 Fedora End Of Life 2016-11-24 07:20:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 09:26:06 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.